Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: Jessica Tallon <[email-masked]>
Date: Thu, 03 Dec 2015 00:57:06 +0100

Hey,

Sorry for my very late reply to this, It somehow slipped past me at the time.

Ludovic Courtès writes:
> Hi,
>
> Jessica Tallon <[email-masked]> skribis:
>
>> I have tried GuixSD (the x86_64-linux image) on my Macbook Air 6,2
>> laptop. I unfortunately am not able to install it as my keyboard does
>> not function. I know i doesn't require propriatory blobs for it to work
>> as I have a trisquel live image and it works great on that.
>
> Is it version 0.8.1 of the image?
I have tested it today with the 0.9.0 install image, the keyboard still
doesn't work

> The keyboard doesn’t work in the installation image itself, right?
Yes.

>
>> It's an internal USB which shows up in lsusb as:
>>
>>      Bus 001 Device 008: ID 05ac:828f Apple, Inc.
>>
>> I have tried plugging in an external USB keyboard which works fine so I
>> don't think it's a driver issue.
>
> Could you plug in that USB keyboard and then run ‘lsusb’ at the
> installation image’s prompt, to see if the Apple keyboard shows up?
>
The full output of lsusb on the installation image is:

Bus 001 Device 008:  ID 05ac:828f Apple, Inc.
Bus 002 Device 002:  ID 05ac:8406 Apple, Inc.
Bus 002 Device 001:  ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005:  ID 05ac:0291 Apple, Inc.
Bus 001 Device 004:  ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 hub
(part of BCM2046 Bluetooth)
Bus 001 Device 009:  ID 04d9:0169 Holtek Semiconductor, Inc.
Bus 001 Device 003:  ID 0951:1665 Kingson Technology
Bus 001 Device 001:  ID 1d6b:0002 Linux Foundation 2.0 root hub

NB: one of the apple devices will be the trackpad, another probably the
webcam.

> If the Apple keyboard is actually seen as a USB keyboard, then I would
> expect it to use the same USB HID driver that the external keyboard uses
> no?
I suspect so too although I'm not entirely sure.

> Thanks for the report,
> Ludo’.

Thansk,
Jessica.